Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jetspeed.portlet
Class DefaultPortletAction

    java.lang.Object
      |
      +--org.apache.jetspeed.portlet.DefaultPortletAction

All Implemented Interfaces:
  PortletAction

public class DefaultPortletAction
extends java.lang.Object
implements PortletAction

The `DefaultPortletAction` is a portlet action with default parameters. You can use this portlet action to pass parameters in your action or create your own portlet action. This default implementation demonstrates how to implement it.

Author:
  Stephan Hesmer
See Also:
  `PortletAction`

Constructor Summary
`DefaultPortletAction(java.lang.String name)`

Method Summary
`void` | `addParameter(java.lang.String name, java.lang.Object value)` Adds a parameters to this action
`java.lang.String` | `getName()` Returns the name of this action
`java.util.Map` | `getParameters()` Returns all parameters

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultPortletAction

    public DefaultPortletAction(java.lang.String name)

Method Detail

### getName

    public java.lang.String getName()

  Returns the name of this action

  Returns:
    the name as a string

### addParameter

    public void addParameter(java.lang.String name,
                             java.lang.Object value)

  Adds a parameters to this action

  Parameters:
    `name` - the name of the new parameter
    `value` - the value of the new parameter

### getParameters

    public java.util.Map getParameters()

  Returns all parameters

  Returns:
    all parameters as map

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 Apache Software Foundation. All Rights Reserved.